Subject: RE: [mobile-ip] what optimistic DAD?

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 1 Jul 2003 10:06:11 +0100

Hi Nick

By the way, there's MIP specific aspects to optimism that maybe you
could consider, making the draft even more interesting for MIP.

One thing is the DAD handling by the HA. Delays the BU (uselessly in
most cases as you know). Yet the HA is a proxy so it should always be
shut off by a newer (secured) binding or the MN being home. This is not
the behavior in the draft today. A new registration takes DAD and is
pretty sticky after that.

We had a discussion on the subject on the ML that never really
concluded. The draft was changed so that the MN coming home DADs its own
address to find an eventual sticky binding and the HA for it, in order
to deregister, which was consensually agreed upon.

The second thing is, that IMHO, the proxy should be shut off by the
simple presence of the real owner of the address on link, and that we
should define the mechanism to ensure so. Also, I still believe that the
owner MN binding to a different HA should cause the sticky binding in
the old HA to go silently. Seems to me that your mechanisms could be
used to do all that.

What do you think?

> -----Original Message-----
> From: Nick 'Sharkey' Moore [mailto:[email-masked]]
> Sent: mardi 1 juillet 2003 00:48
> To: [email-masked]
> Cc: Rajeev Koodli
> Subject: Re: [mobile-ip] what optimistic DAD?
> 
> On 2003-06-30, Rajeev Koodli wrote:
> > Vijay Devarapalli wrote:
> > >
> > > convince IPv6 folks that OptiDAD is the way to go. (infact
> > > I will support you on this). once they are convinced, we
> >
> > Count me in as well :-)
> 
> Excellent!  Good to get some momentum behind the damned thing.
> 
> > I am just not convinced that the current oDAD spec will work
> > efficiently when there is no ND entry at the router. Unsolicited NA
in
> > this scenario is a waste.
> 
> It's true that the unsolicited NA is a waste in this situation,
> but on the other hand they're small packets and frankly 802.11
> is pretty wasteful to start with.  Other L2s (eg: telephony stuff)
> may be more number-of-messages-critical (I remember discussing this
> with James in Yokohama) but then they're generally rather friendlier
> to handovers anyway.
> 
> > FNA provides an indication to the router to create an entry
> > when there isn't one. So, the message does not go waste and
> > avoids a round-trip. It also helps detect duplicates, if any, at the
> > router.
> 
> Yeah, the big reason for Optimistic DAD is that it can work on
> an unmodified access router, admittedly at a penalty in extra
> signalling.
> 
> Either (a) traffic gets to NAR before MN sends that unsol NA,
> or (b) it doesn't.
> 
> We've ccvered (a) in this thread.
> 
> In (b) there will be no NAR NC entry and so the NAR SHOULD ignore
> the unsolicited NA.  Either traffic will arrive due to the
> prediction mechanism, or the MN will promptly send a BU back to
> it's HA/MAP/CNs which will send traffic through to NCoA.
> Either way, when traffic gets to NA, NAR will NS for NCoA and MN
> to reply with an NS (O=0, S=1), which will upgrade the NC entry
> from INCOMPLETE to REACHABLE.
> 
> > The purpose of FNA here is to move the entry directly to REACHABLE
> > so that the additional round-trip messages are avoided.
> 
> Yeah, and I think that's the difference.  Optimistic DAD is an
> attempt to make all this work ON AN UNMODIFIED NAR at the expense
> of a couple of extra round-trips.  I think it's important that
> we get a practical handover protocol which will work in Starbucks :-)
> 
> -----Nick

---

From: "Ed Remmell" <[email-masked]>
Date: Tue, 1 Jul 2003 08:43:27 -0700

Pascal -

I believe this is an entirely different issue - it is the issue of
"sticky" registration, not really related to DAD although DAD does come
into play.

We worked this a bit, but there were some strong dissenting opinions
(Vijay, I believe, was one) about having the HA quit proxying for the MN
and auto-deregister the MN's home address/care-of address binding when
it detects that some node (perhaps not the MN) is using the MN's home
address on the home link.

In retrospect, I agree with the outcome, which is the current "sticky"
registration behavior in the HA. The MN must explicitly deregister its
binding with the HA, else the HA keeps defending it and proxying for it
(provided the binding lifetime doesn't expire). The main reason why I
agree with the outcome is I think that there will likely be some type of
fee charged by the HA (or ISP providing the HA service) to providing the
support for a MN to register a mobility binding, and given this, I think
it does make sense to have a more explicit mechanism (i.e. explicit
deregistration BU) to turn off this support. Considering that this
functionality in the HA will likely trigger something in a billing
and/or accounting system, it seems to make sense to put that trigger on
a higher level message such as a deregistration BU rather than a
lower-level (and not clearly related) protocol event such as DAD
performed on the MN's home address by a different node. Anyways, that's
where I stand on this now.

Thanks.
- Ed Remmell
Elmic Systems, USA

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> Pascal Thubert (pthubert)
> Sent: Tuesday, July 01, 2003 2:06 AM
> To: Nick 'Sharkey' Moore; [email-masked]
> Subject: RE: [mobile-ip] what optimistic DAD?
> 
> 
> Hi Nick
> 
> By the way, there's MIP specific aspects to optimism that 
> maybe you could consider, making the draft even more 
> interesting for MIP.
> 
> One thing is the DAD handling by the HA. Delays the BU 
> (uselessly in most cases as you know). Yet the HA is a proxy 
> so it should always be shut off by a newer (secured) binding 
> or the MN being home. This is not the behavior in the draft 
> today. A new registration takes DAD and is pretty sticky after that.
> 
> We had a discussion on the subject on the ML that never 
> really concluded. The draft was changed so that the MN coming 
> home DADs its own address to find an eventual sticky binding 
> and the HA for it, in order to deregister, which was 
> consensually agreed upon.
> 
> The second thing is, that IMHO, the proxy should be shut off 
> by the simple presence of the real owner of the address on 
> link, and that we should define the mechanism to ensure so. 
> Also, I still believe that the owner MN binding to a 
> different HA should cause the sticky binding in the old HA to 
> go silently. Seems to me that your mechanisms could be used 
> to do all that.
> 
> What do you think?
> 
> > > > convince IPv6 folks that OptiDAD is the way to go. 
> (infact I will 
> > > > support you on this). once they are convinced, we
> > >
> > > Count me in as well :-)
> > 
> > It's true that the unsolicited NA is a waste in this 
> situation, but on 
> > the other hand they're small packets and frankly 802.11 is pretty 
> > wasteful to start with.  Other L2s (eg: telephony stuff) 
> may be more 
> > number-of-messages-critical (I remember discussing this 
> with James in 
> > Yokohama) but then they're generally rather friendlier to handovers 
> > anyway.
> > 
> > > FNA provides an indication to the router to create an entry when 
> > > there isn't one. So, the message does not go waste and avoids a 
> > > round-trip. It also helps detect duplicates, if any, at 
> the router.
> > 
> > Yeah, the big reason for Optimistic DAD is that it can work on an 
> > unmodified access router, admittedly at a penalty in extra 
> signalling.
> > 
> > Either (a) traffic gets to NAR before MN sends that unsol 
> NA, or (b) 
> > it doesn't.
> > 
> > In (b) there will be no NAR NC entry and so the NAR SHOULD 
> ignore the 
> > unsolicited NA.  Either traffic will arrive due to the prediction 
> > mechanism, or the MN will promptly send a BU back to it's 
> HA/MAP/CNs 
> > which will send traffic through to NCoA. Either way, when 
> traffic gets 
> > to NA, NAR will NS for NCoA and MN to reply with an NS (O=0, S=1), 
> > which will upgrade the NC entry from INCOMPLETE to REACHABLE.
> > 
> > Yeah, and I think that's the difference.  Optimistic DAD is 
> an attempt 
> > to make all this work ON AN UNMODIFIED NAR at the expense 
> of a couple 
> > of extra round-trips.  I think it's important that we get a 
> practical 
> > handover protocol which will work in Starbucks :-)
> > 
> > -----Nick
> 
> 
> ---
> Incoming mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.486 / Virus Database: 284 - Release Date: 5/29/2003
>  
> 

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.486 / Virus Database: 284 - Release Date: 5/29/2003

---

From: "James Kempf" <[email-masked]>
Date: Tue, 1 Jul 2003 09:34:32 -0700

> the old HA to go silently. Seems to me that your mechanisms could be

Any suggestions about how to determine who the "real owner" is?

            jak

---

From: "Nick 'Sharkey' Moore" <[email-masked]>
Date: Wed, 2 Jul 2003 08:36:26 +1000

G'day Pascal ...

> pretty sticky after that.

It's an interesting point -- I've largely ignored even the possibility
of 'returning home', since it seems to me to add complexity to
MobileIP without adding much.  For example, when does a mobile phone
ever 'return home' to the telco?

For situations where mobile devices do spend some time "tethered",
such as laptops in a corporate system, the Home Address can be
on a dummy network hanging off the Home Agent: this eliminates the
need to DAD for Home Addresses at all.

> should define the mechanism to ensure so.

Yeah, because Optimistic DAD and Home Agent both use advertisements
with O=0, the Optimistic mechanism won't work properly when returning
home, and I think it'll have to wait the full 1000ms.  I should 
mention that in -03.  I doubt it's a problem, since as per above
I can't see MNs 'returning home' very often!

> Also, I still believe that the

I'll think about it!

-----Nick